package com.zzwtec.third.common;

/**
 * @author  草原狼
 *
 * 2017年9月11日
 */

public class SqlParamUtil {
	/**
	 * 转换数据类型,目前只考虑布尔类型转换
	 * @param param
	 * @return
	 */
	public static Object[] convertDataType(Object[] param){
		if(param == null || param.length == 0) {
			return new Object[]{};
		}
		Object[] result = new Object[param.length];
		for(int i = 0 ; i < param.length ; i ++) {			
			if("true".equalsIgnoreCase(String.valueOf(param[i]))) {
				result[i] = true;
			}else if("false".equalsIgnoreCase(String.valueOf(param[i]))) {
				result[i] = false;
			}else {
				result[i] = param[i];
			}
		}
		return result;
	}
}
